Bug 199454 - www/node: Update to 0.12.2
Summary: www/node: Update to 0.12.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Johannes Jost Meixner
URL:
Keywords: needs-qa, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-04-15 05:27 UTC by Bradley T. Hughes
Modified: 2015-04-24 12:49 UTC (History)
2 users (show)

See Also:
xmj: maintainer-feedback+


Attachments
Patch to upgrade www/node to 0.12.2 (10.94 KB, text/plain)
2015-04-15 05:27 UTC, Bradley T. Hughes
no flags Details
Patch to upgrade www/node to 0.12.2 (9.95 KB, patch)
2015-04-16 06:00 UTC, Bradley T. Hughes
koobs: maintainer-approval-
Details | Diff
poudriere log (19.30 KB, text/plain)
2015-04-17 08:45 UTC, Bradley T. Hughes
no flags Details
node-0.12.2.patch (9.62 KB, text/plain)
2015-04-22 06:01 UTC, linpct
koobs: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bradley T. Hughes freebsd_committer 2015-04-15 05:27:10 UTC
Created attachment 155596 [details]
Patch to upgrade www/node to 0.12.2

See attached patch. I included an upstream fix for a compile breakage, as well as renamed the existing patches to make them compatible with `make makepatch`

The diff is formatted from a git commit that I pushed to my github clone of the freebsd/freebsd-ports tree: 

https://github.com/bradleythughes/freebsd-ports/commit/9d1d6d0948ca5e16f253441c4d0ad490447f03cd
Comment 1 Bradley T. Hughes freebsd_committer 2015-04-16 06:00:31 UTC
Created attachment 155640 [details]
Patch to upgrade www/node to 0.12.2

Updated patch to apply cleanly to an SVN checkout.
Comment 2 linpct 2015-04-17 01:34:11 UTC
Thanks a lot, please let me check later.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2015-04-17 04:47:17 UTC
Thanks Bradley. QA results would be great (portlint, poudriere). Please include them as attachments if you can
Comment 4 Bradley T. Hughes freebsd_committer 2015-04-17 08:45:32 UTC
Created attachment 155666 [details]
poudriere log
Comment 5 Bradley T. Hughes freebsd_committer 2015-04-17 08:46:23 UTC
Poudriere log attached. I trimmed the make output to get under the max size for attachments.
Comment 6 linpct 2015-04-22 06:01:24 UTC
Created attachment 155829 [details]
node-0.12.2.patch
Comment 7 linpct 2015-04-22 06:02:19 UTC
Maintainer approved, please use node-0.12.2.patch.
Comment 8 Johannes Jost Meixner freebsd_committer 2015-04-22 07:31:33 UTC
I'll take it.
Comment 9 Bradley T. Hughes freebsd_committer 2015-04-22 21:26:22 UTC
Thanks, xmj :)
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2015-04-24 06:00:35 UTC
xmj@ build logs apply to original patch, please run again for patch provided by maintainer, or request QA results
Comment 11 commit-hook freebsd_committer 2015-04-24 12:16:10 UTC
A commit references this bug:

Author: xmj
Date: Fri Apr 24 12:15:30 UTC 2015
New revision: 384635
URL: https://svnweb.freebsd.org/changeset/ports/384635

Log:
  www/node: update to 0.12.2

  - update to 0.12.2
  - pet portlint (move mode setting to pkg-plist, proper conflicts)

  PR:		199454
  Submitted by:	Bradley T. Hughes <bradleythughes@fastmail.fm>
  Approved by:	maintainer (linpct@gmail.com)

Changes:
  head/www/node/Makefile
  head/www/node/distinfo
  head/www/node/files/patch-deps_v8_src_base_platform_platform-freebsd.cc
  head/www/node/files/patch-deps_v8_src_base_platform_platform-posix.cc
  head/www/node/files/patch-deps_v8_src_platform-freebsd.cc
  head/www/node/files/patch-deps_v8_src_platform-posix.cc
  head/www/node/files/patch-lib_dns.js
  head/www/node/files/patch-src_node.cc
  head/www/node/pkg-message
  head/www/node/pkg-plist
Comment 12 Johannes Jost Meixner freebsd_committer 2015-04-24 12:31:54 UTC
Committed, with minor changes. Thanks!
Comment 13 Bradley T. Hughes freebsd_committer 2015-04-24 12:49:09 UTC
Thanks!